#!/usr/bin/env python
"""print pypi.org project version"""
import click
import json
import public
import requests


@public.add
def get(name):
    """return string with pypi.org project version"""
    url = "https://pypi.org/pypi/%s/json" % name
    r = requests.get(url)
    if r.ok:
        data = json.loads(r.text)
        if "info" in data:
            return data["info"]["version"]


@click.command()
@click.argument('name', required=True)
def _cli(name):
    version = get(name)
    if version:
        print(version)


MODULE_NAME = "pypi_version"
PROG_NAME = 'python -m %s' % MODULE_NAME
USAGE = 'python -m %s name' % MODULE_NAME

if __name__ == "__main__":
    _cli(prog_name=PROG_NAME)
